# Estimate rates

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Get Rate Estimates

Endpoint: POST /v2/rates/estimate
Version: 2.0.0
Security: api_keys

## Response 200 fields (application/json):

  - `rate_type` (string, required)
    The possible rate type values
    Enum: "check", "shipment"

  - `carrier_id` (string, required)
    A string that uniquely identifies the carrier
    Example: "se-28529731"

  - `shipping_amount` (object, required)
    The shipping amount

  - `shipping_amount.currency` (string, required)
    Currency code
    Example: "usd"

  - `shipping_amount.amount` (number, required)
    The monetary amount, in the specified currency.
    Example: 12

  - `insurance_amount` (object, required)
    The insurance amount

  - `insurance_amount.currency` (string, required)
    Currency code
    Example: "usd"

  - `insurance_amount.amount` (number, required)
    The monetary amount, in the specified currency.
    Example: 12

  - `confirmation_amount` (object, required)
    The confirmation amount

  - `confirmation_amount.currency` (string, required)
    Currency code
    Example: "usd"

  - `confirmation_amount.amount` (number, required)
    The monetary amount, in the specified currency.
    Example: 12

  - `other_amount` (object, required)
    Any other charges associated with this rate

  - `other_amount.currency` (string, required)
    Currency code
    Example: "usd"

  - `other_amount.amount` (number, required)
    The monetary amount, in the specified currency.
    Example: 12

  - `tax_amount` (object)
    Tariff and additional taxes associated with an international shipment.

  - `tax_amount.currency` (string, required)
    Currency code
    Example: "usd"

  - `tax_amount.amount` (number, required)
    The monetary amount, in the specified currency.
    Example: 12

  - `zone` (integer,null, required)
    Certain carriers base [their rates](https://blog.stamps.com/2017/09/08/usps-postal-zones/) off of
custom zones that vary depending upon the ship_to and ship_from location
    Example: 6

  - `package_type` (string,null, required)
    package type that this rate was estimated for
    Example: "package"

  - `delivery_days` (integer,null)
    The number of days estimated for delivery, this will show the _actual_ delivery
time if for example, the package gets shipped on a Friday
    Example: 5

  - `guaranteed_service` (boolean, required)
    Indicates if the rate is guaranteed.
    Example: true

  - `estimated_delivery_date` (string,null)
    An [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) string that represents a date, but not a specific time.  The value _may_ contain a time component, but it will be set to 00:00:00 UTC by ShipStation .
    Example: "2018-09-23T00:00:00Z"

  - `carrier_delivery_days` (string,null)
    The carrier delivery days
    Example: "22"

  - `ship_date` (string)
    ship date
    Example: "2024-12-23T00:00:00.000Z"

  - `negotiated_rate` (boolean, required)
    Indicates if the rates been negotiated
    Example: true

  - `service_type` (string, required)
    service type
    Example: "next_day"

  - `service_code` (string, required)
    service code for the rate
    Example: "usps_priority_mail_express"

  - `trackable` (boolean, required)
    Indicates if rate is trackable
    Example: true

  - `carrier_code` (string, required)
    A [shipping carrier] , such as fedex, dhl_express, stamps_com, etc.
    Example: "stamps_com"

  - `carrier_nickname` (string, required)
    carrier nickname
    Example: "free"

  - `carrier_friendly_name` (string, required)
    carrier friendly name
    Example: "free"

  - `validation_status` (string, required)
    The possible validation status values
    Enum: "valid", "invalid", "has_warnings", "unknown"

  - `warning_messages` (array, required)
    The warning messages
    Example: ["warning"]

  - `error_messages` (array, required)
    The error messages
    Example: ["error"]

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "freight_connection_inactive", "freight_provider_id_required", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable", "freight_provider_already_connected"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


